package com.example.topse.fs;

import java.util.LinkedList;
import java.util.List;

public class Directory extends FileNode {

	private List<FileNode> children = new LinkedList<FileNode>();
	
	public Directory(String name) {
		super(name);
	}
	
	public boolean isDirectory() {
		return true;
	}
	
	public boolean appendChild(FileNode node) {
		for (FileNode child : children) {
			if (child.getName().equals(node.getName())) {
				return false;
			}
		}

		children.add(node);
		node.setParent(this);

		return true;
	}
	
	public List<FileNode> getChildren() {
		return children;
	}
}
