package com.example.topse.shell.commands;

import com.example.topse.fs.Directory;
import com.example.topse.fs.FileNode;
import com.example.topse.shell.Shell;

public class LsCommand implements Command {

	@Override
	public boolean execute(Shell shell, String command, String[] args) {
		if (!"ls".equals(command)) {
			return false;
		}

		Directory dir = shell.getCurrentDirectory();
		for (FileNode node : dir.getChildren()) {
			if (node.isDirectory()) {
				shell.write(node.getName() + "/");
			} else {
				shell.write(node.getName());				
			}
		}

		return true;
	}
	
}
