package com.example.topse.fs;

import static org.junit.Assert.*;

import java.util.List;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class DirectoryTest {

	Directory directory = new Directory("root");

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testDirectoryShouldBeDirectory() {
		Directory tempDir = new Directory("abc");
		assertTrue("abc".equals(tempDir.getName()));
		assertTrue(tempDir.isDirectory());
	}

	@Test
	public void testAppendNewDirectory() {
		boolean isSuccess = directory.appendChild(new Directory("def"));

		assertTrue(isSuccess);
		List<FileNode> nodes = directory.getChildren();
		assertEquals(1, nodes.size());
		FileNode node = nodes.get(0);
		assertEquals("def", node.getName());
		assertEquals(directory, node.getParent());
	}

	@Test
	public void testCouldNotAppendADirectoryWhichNameIsSameWithTheExistingOne() {
		directory.appendChild(new Directory("xyz"));

		boolean isSuccess = directory.appendChild(new Directory("xyz"));
		
		assertFalse(isSuccess);
	}

}
