package com.example.topse.shell.commands;

import static org.junit.Assert.*;

import org.jmock.Expectations;
import org.jmock.Mockery;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.example.topse.fs.Directory;
import com.example.topse.fs.DummyFileSystem;
import com.example.topse.shell.Shell;

public class PwdCommandTest {

	PwdCommand command = new PwdCommand();
	Mockery context = new Mockery();
	Shell shell = context.mock(Shell.class);
	
	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}
	
	@Test
	public void testDoesNotHandleNotPWDCommands() {
		boolean isFinished = command.execute(shell, "not_pwd", null);
		
		assertFalse(isFinished);
	}

	@Test
	public void testHandlePWDCommand() {
		final Directory root = DummyFileSystem.getInstance().getRoot();
		context.checking(new Expectations() { {
			oneOf(shell).getCurrentDirectory(); will(returnValue(root));
			oneOf(shell).write("/");
		} });
		command.execute(shell, "pwd", null);

		context.assertIsSatisfied();
	}

}
