package com.team2;

import java.util.ArrayList;
import java.util.List;

public class VirtualFS {
	private MyFile currentDir;
	private List<MyFile> files;
	
	public VirtualFS(){
		MyFile root = new MyFile(FileType.directory, "/");
		this.currentDir = root;
		this.files = new ArrayList<MyFile>();
		this.files.add(currentDir);
	}
	
	public MyFile getCurrentDir() {
		return currentDir;
	}
	
	public void setCurrentDir(MyFile currentDir) {
		this.currentDir = currentDir;
	}
	
	public boolean createDirectory(String directoryName) {
		MyFile directory = new MyFile(FileType.directory, this.currentDir.getStringPath() + directoryName);
		return files.add(directory);
	}
	
	public boolean createFile(String fileName) {
		MyFile file = new MyFile(FileType.file, this.currentDir.getStringPath() + fileName);
		return files.add(file);
	}
	
	public List<MyFile> getChildren() {
		List<MyFile> result = new ArrayList<MyFile>();
		for (MyFile file : files) {
			if(file.getStringPath().equals("/")){
		    }else if (file.getStringPath().startsWith(currentDir.getStringPath())){
				String tmp = file.getStringPath().substring(currentDir.getStringPath().length(), file.getStringPath().length());
				if(!tmp.contains("/")){
					MyFile child = new MyFile(file.getFiletype(), tmp);
					result.add(child);
				}
			}
		}
		
		return result;
	}
	
}